FGCONSOLE(1)

NAME
fgconsole - print the number of the active VT.

SYNOPSIS
fgconsole [--help|--version|--next-available]

DESCRIPTION
If the active Virtual Terminal is /dev/ttyN, then prints N on standard output. If the console is a serial console, then "serial" is printed instead.

--next-available
    Will show the next unallocated virtual terminal. Normally 6 virtual terminals are allocated, with number 7 used for X; this will return "8" in this case.

NOTES
Under devfs, the consoles are in /dev/vc/N. devfsd may maintain symlinks for compatibility.

SEE ALSO
chvt(1).